Skip to main content
POST
/
v1
/
agents
/
{agentId}
/
telephony
/
phone-numbers
Import phone numbers into a project
curl --request POST \
  --url https://api.us.poly.ai/v1/agents/{agentId}/telephony/phone-numbers \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "phoneNumbers": [
    "<string>"
  ],
  "clientEnv": "live"
}
'
import requests

url = "https://api.us.poly.ai/v1/agents/{agentId}/telephony/phone-numbers"

payload = {
    "phoneNumbers": ["<string>"],
    "clientEnv": "live"
}
headers = {
    "X-API-KEY": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({phoneNumbers: ['<string>'], clientEnv: 'live'})
};

fetch('https://api.us.poly.ai/v1/agents/{agentId}/telephony/phone-numbers', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "imported": [
    "<string>"
  ]
}
{
  "success": false,
  "error": "Number is not in valid E.164 format.",
  "error_id": "550e8400-e29b-41d4-a716-446655440000",
  "error_code": "PHONE_NUMBERS_INVALID_PHONE_NUMBER_FORMAT",
  "error_message": "Number is not in valid E.164 format.",
  "data": null
}
{
  "success": false,
  "error": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "error_message": "<string>",
  "data": "<unknown>"
}
{
  "success": false,
  "error": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "error_message": "<string>",
  "data": "<unknown>"
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

agentId
string
required

Body

application/json

A batch of phone numbers to import, all sharing the same environment assignment.

phoneNumbers
string[]
required

List of phone numbers to import

Minimum array length: 1
clientEnv
string
default:live

Client environment (sandbox, pre-release, live)

Response

Successful response

The set of phone numbers that were imported.

imported
string[]
required

List of successfully imported phone numbers

Last modified on April 22, 2026